print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricemagazine = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local magazineHudFile = "Paletten/hud_fill_magazine.dds"
	local magazineHudFileSmall = "Paletten/hud_fill_magazine_smal.dds"
	
    local magazineFilType = g_fillTypeManager:addFillType("MAGAZINE", g_i18n:getText("magazine"), true, pricemagazine * 2.7, 0.00045, math.rad(10), magazineHudFile, magazineHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmagazine=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmagazine=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MAGAZINE" then
		hasmagazine=true
	end;
		
end;

		if hasmaize and not hasmagazine then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MAGAZINE")
		local price = g_fillTypeManager:getFillTypeByName("MAGAZINE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAGAZINE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)